<?php
/* ---------------------------------------------------------------------------
 *  MySQLi API接続：-- MySQLi接続の「SELECTクエリ」 --get_result()+fetch_assoc()の例
 *  2016.06.25 作成 yoshi of CXMedia Inc.
 * ---------------------------------------------------------------------------
 */
// MySQLデータベース接続の初期設定
$host     = 'localhost';    //接続サーバ（URL）
$user     = 'user';         //DB接続のユーザ名
$password = 'eLerning_PWD'; //DB接続のパスワード
$dbname   = 'list_db';      //接続データベース名

// MySQLi接続のインスタンス生成
$db = new mysqli($host,$user,$password,$dbname);
// MySQLデータベース接続のエラー判断
if (mysqli_connect_error()) {
    die('MySQLiデータベース接続エラー ('.mysqli_connect_errno() .') '.mysqli_connect_error());
}
// MySQL接続の成功メッセージ表示
echo "MySQLi:「{$dbname}」のデータベース接続に成功！",'<br>';

/* ----------------------------
 *  検索クエリの実行と結果表示
 * ---------------------------- */
// 名前（name）が、'まきこ'のヒットするものを検索
$name  = 'まきこ';
// 検索準備「prepare」で検索のsql文作成とプリペアドステートメントの文字列データを'?'で指定
$sql = "SELECT * FROM persons WHERE name=?";
$stmt = $db->prepare($sql);
if ($stmt === FALSE) {
    echo "prepare エラーを検出。",'<br>';
    exit;
}
// プリペアドステートメントのパラメータに変数をバインド
$stmt->bind_param('s',$name);
// 検索クエリの実行
$result = $stmt->execute();
// resultクラスのオブジェクト生成（get_result()は、PHP5.3以降）
$res = $stmt->get_result();
// クエリ結果の行数
echo '件数：',$res->num_rows,'<br>';

// 検索結果を表示
echo '■personsテーブルのプリペアドステートメント検索内容<br>';
if($result === FALSE) {
    echo "クエリ失敗：" .$sql,'<br>';
} else {
    echo '<pre>';
    while ($ary = $res->fetch_assoc()){
        print_r($ary);
    }
    echo '</pre>';
}

// MySQL接続終了
$db->close();
echo "MySQL:接続終了";
?>
